Table cell spanning more than one page...
Description

| emailed you recently about a problem in the version 5.01 of TcPDF Table, whereby if the contents of a table cell was large enough
for the cell to span one page , TCPDF would hang and not complete generating the PDF document - has this been addressed?

| am using TcPDF Table version 5.0.1

History

#1 - 08/11/2014 11:17 AM - Andrei Bintintan
- Status changed from New to Feedback

- Assignee changed from Andrei Bintintan to Joe Privett

Can you upload a small example to reproduce this?

#2 - 08/11/2014 02:42 PM - Andrei Bintintan

Is this issue related to #5857

#3 - 08/24/2014 12:19 AM - Andrei Bintintan
- Status changed from Feedback to Closed

Closing the ticket due to lack of response.

#4 - 08/29/2014 12:11 PM - Joe Privett

- File PDF Table Bug.rar added

Any chance of re-opening this case - | have attached an example of the code | am implementing.
The main script is ra_report_pdf_test.php

Basically, when the number of rows in my table is 7, the table is ok. 9 rows forces the table header to detach from the table body. Over 11 rows cause
the script to run continuously.

#5 - 08/29/2014 02:44 PM - Andrei Bintintan

- Status changed from Closed to In Progress

#6 - 08/29/2014 02:52 PM - Andrei Bintintan

Yes, of course we can reopen. Thanks for the examples, I'll have at it.

#7 - 08/29/2014 03:08 PM - Joe Privett

Thanks. Is there a way to fast track this as we have a urgent situation whereby this bug is affecting our entire application?

#8 - 08/29/2014 03:54 PM - Andrei Bintintan

- Status changed from In Progress to Feedback

There is something wrong here.
Are you sure you use 5.01 of TcPDF Table??

From the example it seems that you're using the tfpdf -> the fpdf UTF8 Version.
$table = new tfpdfTable($this);
$table->initialize(array($obj_width), $table_config);

Besides that, what does the library/classes/pdf/pdf.class.php contain?
There are some functions in class pdf_report class that | cannot find:

$this->pdf();

$this->reset_page_style();
$this->convert(36)

#9 - 08/29/2014 03:56 PM - Andrei Bintintan
| assume you're using tfpdf version 4.2.x >>> not sure though.
Can you send me a screenshot of your bug and also run the following test:
1. disable all your header and footer functions and check if the bug it's still there.
#10 - 08/31/2014 12:33 PM - Joe Privett
Andrei Bintintan wrote:

There is something wrong here.
Are you sure you use 5.01 of TcPDF Table??

From the example it seems that you're using the tfpdf -> the fpdf UTF8 Version.

(-]

Besides that, what does the library/classes/pdf/pdf.class.php contain?
There are some functions in class pdf_report class that | cannot find:

(-]
If | check in the folder tcpdf_table\version_table file it says 5.0.1 ...
If | check in the folder tfpdficlass.tfpdftable.php and in tfpdfiversion it says 4.0.6 !
| think that what's happened is that | purchased TcPDF Table from you a year or so ago, then discovered it was the wrong package, i.e. | should have
purchased FPDF Advanced Table (UTF8). As | still have the TcPDF package in my file structure, | simply looked for that version, but | am not using it

in the application!

| have therefore gone ahead and just purchased the latest FPDF Advanced Table (UTF8) package. Is there any chance of being refunded for the
TcPDF package that | mistakenly purchased previously?

It's all very confusing TCPDF, TFPDF, FPDF (for me anyway :) )!

#11 - 09/01/2014 12:34 AM - Joe Privett

- File pdf.class.php added

- File 7rows.pdf added

- File 9rows.pdf added

ok, l installed v 5.0.1 and the same problem still exists. | have attached pdf.class.php, as requested, along with 3 examples of the output.

7rows.pdf is working fine. If i increase the example to 9 rows, the table header detatches fomr the table body. If i increase it to 11 rows, this is when
the script runs indefinately.

Joe

#12 - 09/01/2014 01:39 AM - Joe Privett
- File pdf_native_test.php added

ok, i decided to create another PDF script ONLY using your libraries and I'm seeing the same thing. See attached.

#13 - 09/01/2014 09:28 AM - Andrei Bintintan

- Status changed from Feedback to In Progress

#14 - 09/01/2014 09:35 AM - Andrei Bintintan

Ok, | see now the problem. | couldn't understand until now what the issue was. | will investigate.
#15 - 07/07/2016 10:12 AM - Andrei Bintintan

- Status changed from In Progress to Closed

Files

PDF Table Bug.rar 2.6 KB 08/29/2014 Joe Privett

pdf.class.php 72.3 KB 09/01/2014 Joe Privett

7rows.pdf 129 KB 09/01/2014 Joe Privett

9rows.pdf 130 KB 09/01/2014 Joe Privett

pdf_native_test.php 1.19 KB 09/01/2014 Joe Privett
